---
title: "Immoweb API: Listing | Perceptlayer"
description: "Listing from Immoweb as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/immoweb/listing
---

[APIs](https://perceptlayer.com/apis) / [Immoweb](https://perceptlayer.com/apis/immoweb) / Listing

# Immoweb: Listing

Listing from Immoweb as JSON. 1 credit per successful call.

GET `/v1/immoweb/listing`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `id` | integer | Required | Any |
| `language` | string | Optional | nl, fr, en |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/immoweb/listing" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/immoweb?try=listing#playground) with your own parameters. 1 credit per successful call; failed calls are free.
